Loading...
Searching...
No Matches
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueIterator Class Reference

Visits all values in a leaf node, i.e. both active and inactive values. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

| ValueIterator ()
| ValueIterator (const LeafNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
ValueType | operator* () const
CoordT | getCoord () const
bool | isActive () const
| operator bool () const
ValueIterator & | operator++ ()
ValueIterator | operator++ (int)

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueIterator

Visits all values in a leaf node, i.e. both active and inactive values.

## Constructor & Destructor Documentation

## ValueIterator() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator | ( |  | ) |

inline

## ValueIterator() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator | ( | const LeafNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

CoordT getCoord | ( |  | ) | const

inline

## isActive()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

bool isActive | ( |  | ) | const

inline

## operator bool()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

operator bool | ( |  | ) | const

inline

## operator*()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueType operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator operator++ | ( | int |  | ) |

inline

## operator=()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueIterator & operator= | ( | const ValueIterator & |  | ) |

default